Last Comment Bug 779694 - "Assertion failure: ret == 1" in js::Compressor::compressMore
: "Assertion failure: ret == 1" in js::Compressor::compressMore
Status: RESOLVED FIXED
: assertion, regression, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: mozilla17
Assigned To: :Benjamin Peterson
:
Mentors:
Depends on:
Blocks: 343943 savesource
  Show dependency treegraph
 
Reported: 2012-08-01 17:32 PDT by Jesse Ruderman
Modified: 2013-01-14 08:28 PST (History)
3 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (asserts fatally when loaded) (260 bytes, text/html)
2012-08-01 17:32 PDT, Jesse Ruderman
no flags Details
stack trace (1.29 KB, text/plain)
2012-08-01 17:33 PDT, Jesse Ruderman
no flags Details
handle zlib errors correctly (1.33 KB, patch)
2012-08-01 18:06 PDT, :Benjamin Peterson
jorendorff: review+
Details | Diff | Review

Description Jesse Ruderman 2012-08-01 17:32:41 PDT
Created attachment 648162 [details]
testcase (asserts fatally when loaded)

Assertion failure: ret == 1, at js/src/jsutil.cpp:75
Comment 1 Jesse Ruderman 2012-08-01 17:33:07 PDT
Created attachment 648163 [details]
stack trace
Comment 2 :Benjamin Peterson 2012-08-01 18:06:54 PDT
Created attachment 648171 [details] [diff] [review]
handle zlib errors correctly
Comment 3 Jason Orendorff [:jorendorff] 2012-08-02 13:19:18 PDT
Comment on attachment 648171 [details] [diff] [review]
handle zlib errors correctly

Wow. Hard to believe we didn't have a test for this.
Comment 4 :Benjamin Peterson 2012-08-02 13:31:08 PDT
(In reply to Jason Orendorff [:jorendorff] from comment #3)
> Comment on attachment 648171 [details] [diff] [review]
> handle zlib errors correctly
> 
> Wow. Hard to believe we didn't have a test for this.

If it makes you feel better, it was handled correctly most of the time. :)
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-08-02 19:07:53 PDT
https://hg.mozilla.org/mozilla-central/rev/8f23ed15a005
Comment 7 Christian Holler (:decoder) 2013-01-14 08:28:01 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/basic/function-tosource-bug779694.js.

Note You need to log in before you can comment on or make changes to this bug.